IntersectCase (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.shape.IntersectCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.spatial.geometry.shape
Enum IntersectCase

    java.lang.Object
      java.lang.Enum<IntersectCase>
          org.apache.lucene.spatial.geometry.shape.IntersectCase

All Implemented Interfaces:
  Serializable, Comparable<IntersectCase>

Deprecated.

    @Deprecated
    public enum IntersectCase

extends Enum<IntersectCase>

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Enum Constant Summary
`CONTAINS` Deprecated.
`INTERSECTS` Deprecated.
`OUTSIDE` Deprecated.
`WITHIN` Deprecated.

Method Summary
`static IntersectCase` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static IntersectCase[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WITHIN

    public static final IntersectCase WITHIN

  Deprecated.

### CONTAINS

    public static final IntersectCase CONTAINS

  Deprecated.

### OUTSIDE

    public static final IntersectCase OUTSIDE

  Deprecated.

### INTERSECTS

    public static final IntersectCase INTERSECTS

  Deprecated.

Method Detail

### values

    public static final IntersectCase[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IntersectCase c : IntersectCase.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IntersectCase valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD